package com.fuzamei.mapperInterface;

import java.util.List;
import java.util.Map;

import com.fuzamei.entity.OperationHistoryAdmin;
import com.fuzamei.entity.Role;
import com.fuzamei.entity.User;

public interface UserMapper {
	public List<Role> getAllRoles();//查询得到所有角色
	public List<User> queryUsers(Map<String, Object> map);//查看所有账户列表
	public void updateAccountByUserId(User user);//编辑修改用户  根据id
	public  void insertUsers(User user);//添加账号角色名称
	public List<User> findUserById(User user);//根据id查询账号是否已存在
	public int findUserByuserIdandusername(User user);//根据id 账户查询用户存在吗  能否修改
	
	public int queryUserscount(Map<String, Object> map);//查询总条数
	
	public void deleteFromUserId(String[] userIds);//批量删除，前端传个id字符串来
	
	public  int queryUserIdMax();//查询用户表最大id然后+1
	public int queryRondomRepetition(String random);//查询前端传来得随机数  数据库是否有一样得
	
	public  void insertOperationHistory(User  user);//插入信息到操作记录表
	public void insertOperationHistoryOfDelete(User user);//将删除多个用户的操作记录插入到操作记录表中
	
	
}
